Reports PRO
The numbers of the Reports screen, ready for your own dashboard.
Sales summary
GET
/reports/summaryTotals, the series and the top products for a period. period=custom is a Pro feature.
Days follow tz, so a report in your own time zone matches what you see in the panel.
Query
| Name | Type | Required | Description |
|---|---|---|---|
period | string | No | One of 7d, 30d, 90d, 12m, all, custom. Default 30d. |
from | string | No | period=custom: first day (YYYY-MM-DD). |
to | string | No | period=custom: last day (YYYY-MM-DD), included. |
tz | string | No | IANA time zone for the days (e.g. America/Los_Angeles). Default UTC. |
Example
bash
curl "https://api.fastyvendor.com/api/v1/reports/summary?period=30d&tz=UTC" \
-H "Authorization: Bearer $FASTY_KEY"js
const res = await fetch('https://api.fastyvendor.com/api/v1/reports/summary?period=30d&tz=UTC', {
headers: {
Authorization: `Bearer ${process.env.FASTY_KEY}`,
},
})
const data = await res.json()python
import os, requests
res = requests.get(
"https://api.fastyvendor.com/api/v1/reports/summary?period=30d&tz=UTC",
headers={"Authorization": f"Bearer {os.environ['FASTY_KEY']}"},
)
data = res.json()lsl
llHTTPRequest(API + "/reports/summary?period=30d&tz=UTC",
[HTTP_CUSTOM_HEADER, "Authorization", "Bearer " + KEY,
HTTP_BODY_MAXLENGTH, 16384],
"");Response: 200 OK
json
{
"period": "30d",
"from": "2026-10-06T00:00:00.000Z",
"to": "2026-11-04T18:27:04.439Z",
"unit": "day",
"totals": {
"sales": 89,
"revenue": 3493,
"received": 3422,
"buyers": 4,
"new_buyers": 2,
"refunded": 5,
"gifts": 4,
"refunded_amount": 160
},
"previous": {
"sales": 143,
"revenue": 129531,
"received": 129531,
"buyers": 114,
"new_buyers": 87,
"refunded": 0
},
"series": [
{
"start": "2026-10-06",
"sales": 6,
"revenue": 1209,
"received": 1172
},
{
"start": "2026-10-07",
"sales": 0,
"revenue": 0,
"received": 0
},
{
"start": "2026-10-08",
"sales": 0,
"revenue": 0,
"received": 0
}
],
"top_products": [
{
"id": "prd_mxbjm9xtpchmet",
"kind": "product",
"name": "Riot Boots",
"sales": 61,
"revenue": 1540
},
{
"id": "grp_aqbf68b6nf4z9h",
"kind": "group",
"name": "Velvet Dress",
"sales": 2,
"revenue": 1000
}
]
}